Subaccount information

Encoding : UTF-8

Authentication

Your "api-key" and "api-login" identifiers must be added in the headers.

Definition

This web service allows you to retrieve information from a sub-account.

Path parameters

NameTypeDescription
emailstringThis value is email to be associated with the sub-account.

How Our API Deals With Incorrect Data

The API we provide will try to interpret your request as best it can. If a parameter has the wrong value, we will try to understand it anyway. If the parameter has the wrong type, we will try to format it as best we can. Thus, we have determined default values, which are indicated in our documentation. If a parameter could not be recognized or "fixed", we will ignore it, but your request will be sent.
If one of your parameters does not have the right value, or does not have the right type, we will try to:

  • "cast" (convert) it so that it can be understood.
  • format it (delete prohibited characters for example)

Server Response Example in JSON

Success

{
   "first_name": "Leonardo",
   "last_name": "Da Vinci",
   "company_name": "Italy",
   "credit": 10,
   "api_key": "**********",
   "callbacks": {
     "callback_url_for_inbounds": "https://dns.com/call-back-url-1",
     "callback_url_for_deliveries": "https://dns.com/call-back-url-2",
     "callback_url_for_blacklisted_numbers": "https://dns.com/call-back-url-3",
     "callback_url_for_visits": "https://dns.com/call-back-url-4",
     "email_for_inbounds": "[email protected]",
     "api_version": "1.0",
     "use_metadata_node_for_inbound": null
  }
}
Path Params
string
required

This value is email to be associated with the sub-account.

Headers
string
required

Your api login from your account

string
required

Your api key from your account

Responses

401

Unauthorized.

403

Forbidden to view.

404

Not found.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json